10 sayfanın 6. sayfası İlkİlk 12345678910 SonuncuSonuncu
140 sonuçtan 76 ila 90 arası gösteriliyor.

Konu: Pratik komutlar

  1. #76
    H. BUĞRA YAZGI
    komutlar için teşekkürler devamını bekliyoruz

  2. #77

    objeleri eğrisel çizgilere align etmek

    Merhabalar; çok güzel bir paylaşım oluyor. Ben de aklıma gelen bir şeyi yazayım:

    Bir objeyi eğrisel bir çizgiye align ederek çok sayıda sıralamak bazen gerekli olabiliyor. Mesela uzun yılanvari bir bar'a sandaliyeleri muntazaman dizmek veya bir kaldırımtaşından (bir dikdörtgenden) eğrisel bir patika yol inşa etmek vb.
    Burada bize yardımcı olan komut "divide" veya "measure"; divide belli sayıda measure da belli aralıklarla objeyi yerleştiriyor

    Bu komutları komut satırına yazdıktan sonra uygulanacak objeyi (ki bu path/patika oluyor; tercihen polyline) seçince bize [Block] seçeneğini sunar. Biz de daha önce blok yaptığımız objenin ismini girerek onu align edilmiş biçimde (ki "align ediyim mi" diye de sorar bize autocad) bu patika boyunca sıralayabiliriz. Blok yaparken biraz özenli olmak bloğun orjin noktasını doğru seçmek önemli; bikaç denemeyle istediğimiz sonuç elde edilir.

    Umarım işinize yarar

  3. #78
    kartal_34

    Fİllet Komutu

    Fillet komutunu nasıl kullanacağımı bilmiyorum.Autocad 'i daha yeni öğreniyorum da yardım edebilirmisiniz.

  4. #79
    nil_gün
    Alıntı Orijinal metin kartal_34 tarafından gönderilmiş Mesajı Görüntüle
    Fillet komutunu nasıl kullanacağımı bilmiyorum.Autocad 'i daha yeni öğreniyorum da yardım edebilirmisiniz.
    Fillet komutubiribirine paralel olmayan çizgilerin uçlarını birleştirirken kullanırsın. F yaz enter yap birleştireceğin çizgileri seç . Radius değerini 0 yerine farklı bir değer girersen dairesel birleşir.

  5. #80
    Taurus_NE
    Fillet komutunun gerçek amacı köşeleri yumuşatma yani radius vermektir.
    Komutu alırsın radius değerini girersin enter yapp yumuşamasını istediğin köşeyi oluşturan çizgileri seçersin


  6. #81
    aynı işlemin tam tersi olarak da fillet edilmiş bir objeyi radius "0" la tekrar fillet yaparsanız köşeli bir obje elde edersiniz.
    it takes some silence to make sound..

  7. #82
    kartal_34
    Yardımlarınız için teşekkür ederim.

  8. #83
    nil_gün

    Region

    Kesişen region objeleri kesişen kısımlarını koparmak için (bunu şeklini değiştirmek için yapabiliriz) subtract (su) komutunu kullanabiliriz. "Su" yazıp enter yapın, kesmek istediğiniz objeyi seçin, daha sonra kesen objeyi seçin ve enter yapın.arada kalan kısmını kopartacaktır.Aynı şekilde regionlar için "union" komutunu da kullanabilirsiniz. Bu da keşiştikleri yerden onları birleştirir. Tek obje halini alır.

  9. #84
    ggizem

    teşekkürler

    arkadaşlar verdiğiniz bilgiler için teşekkür etmek istedim sadece

  10. #85
    nil_gün

    Break

    Ben sıralı bir çok çizgiyi belirli yerlerinden kırmak istiyorum bunu break la yaptığımda tek tek herbirini kırmam gerekiyor. Çoklu seçim yapabileceğim bir komut varmı diye soracaktım. Mesela Extrim gibi bir komut ama belirlenen alanı kesmeyip kıran bir komut gibi. Teşekkür ederim.

  11. #86
    ;;;kesişen birçok line arc circle ve polylineyi sectiğinde kesişim noktalarından kıran bir lisp
    ;;;vardı ama nerde internetde biryerlerde olacak
    ;;;bu sadece line ler için ama hepsi için olanıdavardı internet bu araştır!!!!!!!!!!

    ;|===============================================================|;
    ;| MBRK.lsp by Michael Bulatovich, 18th Mar., 2004 |;
    ;| |;
    ;| Breaks a number of lines at their intersections |;
    ;| with a number of other lines. Behavior is as if |;
    ;| EDGEMODE is set to 0. ("MultiBreak") |;
    ;| |;
    ;|===============================================================|;




    (Defun C:MBRK (/ ss bs cnt bcnt inf beinf pnt1
    pnt2 enam bename einf pnt3 pnt4 intr oldemode
    )

    (setvar "cmdecho" 0)
    (setq olderror *error*
    oldemode (getvar "edgemode")
    )

    (defun *mbrk_error* (msg)
    (if (or (= msg "Function cancelled")
    (= msg "quit / exit abort")
    )
    (princ "\nFunction cancelled by user.")
    (progn
    (princ "\nError: ")
    (princ msg)
    )
    )
    (setvar "edgemode" oldemode)
    (if olderror
    (setq *error* olderror
    olderror nil
    )
    )
    (princ)
    )

    (if (not (eq *error* *mbrk_error*))
    (setq *error* *mbrk_error*)
    )

    (setvar "edgemode" 0)
    (Setq cnt 0)
    (Princ "\nkırılacak çizgileri seçin: ")
    (Setq ss (SSGet))

    (Princ "\nkıracak çizgileri seçin: ")

    (Setq bss (SSGet)
    bcnt 0
    )

    (if bss
    (Repeat (SSLength bss)
    (Setq cnt 0
    benam (SSName bss bcnt)
    bcnt (1+ bcnt)
    beinf (Entget benam)
    pnt1 (Cdr (Assoc 10 beinf))
    pnt2 (Cdr (Assoc 11 beinf))
    )

    (If ss
    (Repeat (SSLength ss)

    (Setq enam (SSName ss cnt)
    cnt (1+ cnt)
    einf (Entget enam)
    pnt3 (Cdr (Assoc 10 einf))
    pnt4 (Cdr (Assoc 11 einf))
    intr (inters pnt1 pnt2 pnt3 pnt4)
    )
    (Command "_.BREAK" enam intr intr)

    )
    )
    )
    )

    (setvar "edgemode" oldemode)
    (setq *error* olderror
    olderror nil
    )
    (Princ)
    )
    En son orhunkeskinbicak tarafından düzenlendi : 16-03-2007 10:27

  12. #87
    nil_gün

    Break

    Öncelikle ilginize teşekkür ederim.
    Ben yazdığınız lisp'i şuan kullandığım lisp dosyasının içine kopyaladım ve tekrar load yaptım. Ancak bu konuda daha fazla bir bilgim yok ve hangi kısa yolla çalıştıracağımı bilmiyorum. MBRK'yi denedim ama tanımadı.

  13. #88
    aysuntoprak
    Alıntı Orijinal metin nil_gün tarafından gönderilmiş Mesajı Görüntüle
    Ben sıralı bir çok çizgiyi belirli yerlerinden kırmak istiyorum bunu break la yaptığımda tek tek herbirini kırmam gerekiyor. Çoklu seçim yapabileceğim bir komut varmı diye soracaktım. Mesela Extrim gibi bir komut ama belirlenen alanı kesmeyip kıran bir komut gibi. Teşekkür ederim.
    Eğer sorunuzu doğru anladımsa, trim ile fillet i birlikte kullanarak bunu yapabilirsiniz. Yani trim komutunu girdikten sonra, nesneyi seçmeden önce fillet ile bütün çizgileri tek defada seçerek kırpabilirsiniz.

  14. #89
    don't care

    arc ve line ile yapılmış yolların uzunlukları toplamı

    merhaba arkadaşlar,ben de teşekkür ederim emeği geçenlere.yalnız bir sorum olcak,arc larla ve line'larla yapılmış eğrisel yollarım var.bunların uzunluğunu ölçmek istiyorum.bir de alanlarını.nasıl yapabilirim acaba?yardımcı olursanız sevinirim.teşekkürler..

  15. #90
    Melody
    Alıntı Orijinal metin don't care tarafından gönderilmiş Mesajı Görüntüle
    merhaba arkadaşlar,ben de teşekkür ederim emeği geçenlere.yalnız bir sorum olcak,arc larla ve line'larla yapılmış eğrisel yollarım var.bunların uzunluğunu ölçmek istiyorum.bir de alanlarını.nasıl yapabilirim acaba?yardımcı olursanız sevinirim.teşekkürler..
    2 yöntemi var:
    1) Bahsettiğin arc ve line'lari pedit ile birleştirmek. Sonra da polyline'in özelliklerine bakmak
    2) Bahsettiğin arc ve line'larin uzerinden yeni bir polyline çizmek. Sonra da polyline'in özelliklerine bakmak

    Bazen birleştirmek çok sorun olabiliyor, o yüzden 2. yöntemi tavsiye ederim.

Konu ile İlgili Bilgi

Users Browsing this Thread

2 adet kullanıcı bu konuyu ziyaret ediyor. (0 üye ve 2 ziyaretçi)

Mesaj Yazma Hakları

  • Yeni mesaj gönderemezsiniz
  • Mesajlara cevap veremezsiniz
  • Mesajlara ek yükleyemezsiniz
  • Mesajlarınızı düzenleyemezsiniz
  •